Skip to main content
PUT
Set a user's action states

Authorizations

Authorization
string
header
required

Your full Authorization header value, including the prefix: API-Key katilyst_xxxx_yourkey

Path Parameters

projectId
string
required
userId
string
required

Body

application/json
availableActionId
string
required

Unique id of the stateful available action to log.

Example:

"1111-111-11111-example"

state
enum<string>
required

State of the available action ('ENABLED' | 'DISABLED')

Available options:
ENABLED,
DISABLED
Example:

"ENABLED"

dateTime
string

Optional Property - ISO Date String.

Example:

"2025-03-17T17:45:10Z"

creator
string

Optional Property - String value identifying 'creator' of mutated action state.

Example:

"Account API"

details
string

Optional Property - Additional details.

Example:

"Account API updated action state."

Response